from vector import *
from color import *
import timer
from util import Object, Accelerator, getModel, LoadedModels
from utilfuncs import *
from solarsystem import *


class GravityAcc(Accelerator):
   
   def move(self):
      bodies.apply(self)
      self.vel += self.gravityacc
      Accelerator.move(self)
   
   def drawTriangle(self):
      glPushMatrix()
      glTranslate(*self.pos)
      glRotate(degrees(self.orientation - pi/2), 0, 0, 1.0)
      r, g, b = self.color
      glColor(r, g, b, 0.7)
      glBegin(GL_LINE_LOOP)
      z = self.pos.z
      r = self.radius/2.0
      glVertex(0, r, z)
      glVertex(-r, -r, z)
      glVertex(r, -r, z)
      glEnd()
      glPopMatrix()

# vim: set et sts=3 sw=3:
