import os, shutil
import startup
configdir = startup.startup()

# copy the highscores to the user's homedir
highscorefile = os.path.join(configdir, 'hiscores')
if not os.path.exists(highscorefile):
    oldpath = 'hiscores'
    shutil.copy(oldpath, highscorefile)

def write(score, name):
   entries = readlines()
   ourHighscoreIndex = None
   for i, entry in enumerate(entries):
      hiuser, hiscore = entry
      if score > hiscore:
         entries.insert(i, (name, score))
         if len(entries) > 9:
            del entries[-1]
         ourHighscoreIndex = i
         break
   else:
      if len(entries) < 10:
         entries.append((name, score))
         ourHighscoreIndex = entries[-1]
         print ourHighscoreIndex
   f = open(highscorefile, 'w')
   f.write(str(entries))
   f.close()
   return ourHighscoreIndex

def readlines():
   try:
      f = open(highscorefile, 'r')
      a = eval(f.read())
   except IOError:
      a = []
   return a


# vim: set et sts=3 sw=3:
